[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] "Connection does not support host device enumeration"



On Wed, Oct 05, 2011 at 04:10:07AM +0530, Kaushal Shriyan wrote:
> 2011/10/1 Kaushal Shriyan <kaushalshriyan gmail com>:
> > 2011/9/29 Kaushal Shriyan <kaushalshriyan gmail com>:
> >> 2011/9/27 Osier Yang <jyang redhat com>:
> >>> 于 2011年09月27日 01:13, Kaushal Shriyan 写道:
> >>>
> >>> Hi, Kaushal
> >>>
> >>> I don't use CentOS, so don't known it, though I guess it's
> >>> the intention or mistake of the packager.
> >>>
> >>> you can compile from the source code youself.
> >>>
> >>> # rpm -qi libvirt
> >>>
> >>> You will see the version you use currently, and get the same
> >>> source tarball from http://libvirt.org/sources/ to compile.
> >>>
> >>> Of course, you can download newer source to compile, but
> >>> it may also need newer dependency packages. So compiling
> >>> from the same version is the easiest way. :-)
> >>>
> >>> If you really don't want to compile yourself, just file a bug
> >>> to CentOS, guess the packger will help you do it.
> >>>
> >>> Regards,
> >>> Osier
> >>>
> >>>
> >>> Hi Osier
> >>>
> >>> Can you please point me to the rpm version which has hal and udev
> >>> flags enabled by default for CentOS 5.6 ?
> >>>
> >>> Regards
> >>>
> >>> Kaushal
> >>>
> >>> On Thu, Sep 22, 2011 at 10:22 AM, Osier Yang <jyang redhat com> wrote:
> >>>
> >>> 于 2011年09月22日 12:46, Osier Yang 写道:
> >>>
> >>> 于 2011年09月22日 12:41, Kaushal Shriyan 写道:
> >>>
> >>> On Thu, Sep 22, 2011 at 9:41 AM, Osier Yang <jyang redhat com> wrote:
> >>>
> >>> 于 2011年09月22日 09:11, Kaushal Shriyan 写道:
> >>>
> >>> does not support host device enumeration
> >>>
> >>> Seems your libvirt is compiled without --with-hal and
> >>> --with-udev
> >>>
> >>> Regards
> >>> Osier
> >>>
> >>> Hi Osier
> >>>
> >>> Thanks for the reply. Please let me know how do i enable this feature
> >>> since its a binary package installed on CentOS 5.6 x86_64
> >>> architecture.
> >>>
> >>> You need to re-compile from the source if that's true.
> >>>
> >>> http://libvirt.org/compiling.html
> >>>
> >>> To make sure get your wanted, specifying --with-hal/--with-udev explicitly
> >>> with "yes" will help.
> >>>
> >>>
> >>> Regards,
> >>> Osier
> >>>
> >>>
> >>> --
> >>> libvir-list mailing list
> >>> libvir-list redhat com
> >>> https://www.redhat.com/mailman/listinfo/libvir-list
> >>>
> >>>
> >>>
> >>
> >> Hi Osier,
> >>
> >> Is there libudev-devel or udev-devel package available on CentOS 5.6 ?
> >>
> >> [root ~]# yum search udev-devel
> >> Loaded plugins: fastestmirror
> >> Loading mirror speeds from cached hostfile
> >>  * base: centos.aol.in
> >>  * extras: centos.aol.in
> >>  * updates: centos.aol.in
> >> base
> >>
> >>  | 1.1 kB     00:00
> >> extras
> >>
> >>  | 2.1 kB     00:00
> >> updates
> >>
> >>  | 1.9 kB     00:00
> >> Warning: No matches found for: udev-devel
> >> No Matches found
> >> [root ~]# yum search libudev-devel
> >> Loaded plugins: fastestmirror
> >> Loading mirror speeds from cached hostfile
> >>  * base: centos.aol.in
> >>  * extras: centos.aol.in
> >>  * updates: centos.aol.in
> >> Warning: No matches found for: libudev-devel
> >> No Matches found
> >> [root ~]#
> >>
> >> Please suggest further and also it seems like this package is not
> >> available in CentOS 5.6
> >>
> >>
> >> Regards
> >>
> >> Kaushal
> >>
> >
> > Hi,
> >
> > Please suggest/comment on my earlier post to this mailing list.
> >
> > Regards
> >
> > Kaushal
> >
> 
> Hi Osier,
> 
> Checking in again. Please suggest/comment on my earlier post to this
> mailing list.

You need to read his advice to you carefully: you need either hal or
udev; you're using Centos 5.x, so you need hal.  

Dave


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]